Brain
Write a memory
Records an episode plus extracted claims, or routes proposals through the writeback gateway.
POST
/
v1
/
brain
/
remember
Write a memory
curl --request POST \
--url https://api.usenaive.ai/v1/brain/remember \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"title": "<string>",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"source_ref": "<string>",
"confidence": 0.5,
"metadata": {},
"contradicts": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"supports": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"premised_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.usenaive.ai/v1/brain/remember"
payload = {
"content": "<string>",
"title": "<string>",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"source_ref": "<string>",
"confidence": 0.5,
"metadata": {},
"contradicts": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"supports": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"premised_on": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
title: '<string>',
knowledge_base_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
document_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source: '<string>',
source_ref: '<string>',
confidence: 0.5,
metadata: {},
contradicts: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
supports: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
premised_on: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.usenaive.ai/v1/brain/remember', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": "<string>",
"canonical_write": true,
"episode": {},
"claims": [
{}
],
"count": 123,
"reconciliation": {}
}{
"mode": "<string>",
"canonical_write": true,
"envelope": {
"id": "<string>",
"run_id": "<string>",
"idempotency_key": "<string>",
"payload": {},
"error": "<string>",
"created_at": "<string>",
"processed_at": "<string>"
},
"proposals": [
{
"id": "<string>",
"knowledge_base_id": "<string>",
"writeback_envelope_id": "<string>",
"run_id": "<string>",
"artifact_id": "<string>",
"source_episode_id": "<string>",
"route": "<string>",
"title": "<string>",
"summary": "<string>",
"proposed_payload": {},
"evidence": [
{}
],
"scores": {},
"sensitivity": "<string>",
"duplicate_of": "<string>",
"contradicts": [
"<string>"
],
"supersedes": [
"<string>"
],
"reviewer_type": "<string>",
"reviewer_id": "<string>",
"reviewed_by": {
"type": "<string>",
"id": "<string>"
},
"reviewed_at": "<string>",
"decision_reason": "<string>",
"owner": "<string>",
"expires_at": "<string>",
"reverify_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"count": 123
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}Authorizations
Workspace API key. Create one via the dashboard or POST /v1/auth/keys.
Body
application/json
The text to remember.
Maximum string length:
200000Maximum string length:
255Available options:
document, note, conversation, observation, maintenance Knowledge base to scope to; defaults to the company default.
Provenance label.
Required range:
0 <= x <= 1Typed outcome for the belief lifecycle.
Available options:
observation, finding, decision, correction, question, artifact Claim ids this memory invalidates.
Claim ids this memory corroborates.
Claim ids the work was premised on.
⌘I
Write a memory
